List status pages
curl --request GET \
--url https://api.phare.io/uptime/status-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/uptime/status-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/uptime/status-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "Phare status",
"subdomain": "example",
"title": "Phare status",
"description": "Status page of phare.io",
"search_engine_indexed": true,
"website_url": "https://phare.io",
"components": [
{
"componentable_type": "uptime/monitor",
"componentable_id": 123
}
],
"id": 1,
"project_id": 1,
"is_private": false,
"access_password_enabled": false,
"access_token_enabled": false,
"domain": "status.example.com",
"color_scheme": "all",
"theme": {
"light": {
"operational": "#16a34a",
"degraded_performance": "#fbbf24",
"partial_outage": "#f59e0b",
"major_outage": "#ef4444",
"maintenance": "#6366f1",
"empty": "#d3d3d3",
"background": "#ffffff",
"foreground": "#000000",
"foreground_muted": "#737373",
"background_card": "#fafafa"
},
"dark": {
"operational": "#16a34a",
"degraded_performance": "#fbbf24",
"partial_outage": "#f59e0b",
"major_outage": "#ef4444",
"maintenance": "#6366f1",
"empty": "#d3d3d3",
"background": "#111111",
"foreground": "#ffffff",
"foreground_muted": "#959595",
"background_card": "#1a1a1a"
},
"rounded": true,
"border_width": 2
},
"timeframe": 90,
"subscription_channels": [],
"access_ips": [
"45.129.56.0/24"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"current_page": 2,
"from": 11,
"to": 20,
"per_page": 100,
"path": "https://api.phare.io/{resource}?page=2"
},
"links": {
"first": "https://api.phare.io/{resource}?page=2",
"last": "https://api.phare.io/{resource}?page=10",
"prev": "https://api.phare.io/{resource}?page=1",
"next": "https://api.phare.io/{resource}?page=1"
}
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}Status Pages
List status pages
Get a paginated list of status pages
GET
/
uptime
/
status-pages
List status pages
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
Example:
1
A project header is required when using an organization-scoped API key.
Example:
"luminous-guiding-tower"
Query Parameters
Page number to show
Example:
1
Number of resources to return per page
Required range:
1 <= x <= 100Example:
20
Last modified on February 8, 2026
Was this page helpful?
⌘I